打印

求助:安装asla时的报错??

求助:安装asla时的报错??

大家好,我的情况是:
系统:redhat enterprise 5.7 x86_64
主板:华硕p8B75-v
芯片组:intel B75 Express
声卡:realtek ALC887
安装alsa-driver-1.0.25时的报错信息是:

请高手指点该如何避免该错误........,
不胜感激!
附件: 您所在的用户组无法下载或查看附件

TOP

修改include/adriver.h,把1598行的dev_name的定义注释掉。

TOP

RHEL 就不是让你放歌曲的系统,装什么声卡驱动啊?
没声就没声吧,反正也是上机架的服务器。

TOP

还有,2011-07-21 发布的系统,装到你今年8月的新主板上,怎么可能有驱动?
更何况 RHEL 是稳定的服务器用系统,你的主板是高性能的桌面用主板。
驱动怎么可能好用?

TOP

最靠谱的解决办法是你找一个 alsa 1.0.26 ,之后反移植到 2.6.18 内核的驱动接口上。

你的系统是 2.6.18 的内核,这个内核是 2006 年发布的。怎么可能装上现在的新声卡驱动?

TOP

jiangtao9999,你好,感谢您的提醒!我是个人用的redhat,不是当服务器用。因工作需要才装的,工作时想听音乐,所以才有装声卡驱动的需求。根据您的提示,我想接着问几个问题:
1  如何查看Linux的发行时间?
2  对于我这种情况,如果换成 redhat enterprise 6.1可以识别我的声卡吗?
3   您说的alsa 1.0.26在哪里下载?怎么装啊?
我是菜鸟,别笑话哈

TOP

引用:
原帖由 xy_8404 于 2012-10-17 12:22 发表
jiangtao9999,你好,感谢您的提醒!我是个人用的redhat,不是当服务器用。因工作需要才装的,工作时想听音乐,所以才有装声卡驱动的需求。根据您的提示,我想接着问几个问题:
1  如何查看Linux的发行时间?
2  对于我这种情况,如果 ...
最新的是6.3,出声音应该差不多吧,如果想要增加对新硬件的支持,最好用fedora/ubuntu这类的更新比较快的桌面版。
当然,必须用redhat的另说。

TOP

引用:
原帖由 xy_8404 于 2012-10-17 12:22 PM 发表
jiangtao9999,你好,感谢您的提醒!我是个人用的redhat,不是当服务器用。因工作需要才装的,工作时想听音乐,所以才有装声卡驱动的需求。根据您的提示,我想接着问几个问题:
1  如何查看Linux的发行时间?
2  对于我这种情况,如果 ...
1、google ,我习惯是看维基百科。官方网站翻资料比较麻烦,维基百科一个页面的介绍经常写版本历史。
2、RHEL 永远是企业版本,不建议个人使用。工作需要可以装,但工作以外的如果有问题就别想了。用处不同的。你的机器是 2012年8月的新品,RHEL 6 系列能不能支持反正我是没办法确定,毕竟服务器版的目标不是听歌。
3、google 搜索 alsa 可以找到官方网站,不过我不建议菜鸟自己装 alsa ,因为这个东西是内核内置的。新版本并不一定好用,想升级 alsa ,最佳的办法还是升级内核。最新版的内核并不会比最新版的 alsa 差多少。

换系统吧,RHEL 装到服务器上用。你的工作是开发的话,找个测试服务器装 RHEL ,工作弄完了上传到测试机上做测试吧。
你自己用 Fedora 或者 ubuntu 。如果真的腾不出来测试服务器,我建议用虚拟机跑测试。不过虚拟机的性能不佳,测试兼容没问题,性能就免了。

TOP

RHEL 6 肯定可以,那上面还有 PulsaAudio 这样的高级货,只不过不默认安装。不过我奇怪,楼主怎么会用 RHEL 5.7 这种文物在个人电脑上?实在太反人类了。

TOP

PulsaAudio 不是声卡驱动……是一个音频服务……
真正支持声卡的还是要靠 alsa 。

TOP

引用:
原帖由 jiangtao9999 于 2012-10-19 13:20 发表
PulsaAudio 不是声卡驱动……是一个音频服务……
真正支持声卡的还是要靠 alsa 。
我当然知道 PulsaAudio 仅仅是个音频服务,但是能有 PulsaAudio 显然 alsa 不会太旧。

TOP

alsa 是有自己的标准接口,这个接口不可能一时一变吧?
但是硬件可不是总是能保证旧驱动可以识别并且使用。曾经很多声卡都是上市半年后 alsa 才能完美支持的。

TOP